package com.jz.sms.channel.api;


import com.alibaba.fastjson.JSONObject;
import com.jz.sms.channel.chuanglan.dto.CLBizResponse;
import com.jz.sms.channel.chuanglan.dto.CLNotifyRequest;
import com.jz.sms.channel.chuanglan.dto.ReportDto;
import com.jz.sms.channel.chuanglan.service.ChuangLanSmsService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/test/chuanglan")
@RestController
public class ChuangLanApi {

    private static final Logger log = LoggerFactory.getLogger(ChuangLanApi.class);

    @Autowired
    private ChuangLanSmsService chuangLanSmsService;

    @PostMapping("/notify")
    public String notify(@RequestParam CLNotifyRequest notifyInfo) {
        log.info("创蓝异步通知接口入参：{}", JSONObject.toJSONString(notifyInfo));
        String response = "success";
        try {
            chuangLanSmsService.asyncNotify(notifyInfo);
        } catch (Exception e) {
            log.error("处理创建模板异步通知异常：", e);
            response = "fail";
        }
        log.info("创蓝异步通知接口出参：{}", response);
        return response;
    }

    @GetMapping("/report")
    public String report(ReportDto report) {
        log.info("回送报告接口入参：{}", JSONObject.toJSONString(report));
        String response = "success";
        try {
            CLBizResponse responses = chuangLanSmsService.report(report);
        } catch (Exception e) {
            log.error("处理回执逻辑异常：", e);
            response = "fail";
        }
        log.info("创蓝异步通知接口出参：{}", response);
        return response;
    }


}
